﻿@model TagArt_Business.Model.BlogModel
@{
    ViewBag.Title = "BlogEdit";
    Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
}
<link href="~/Content/Site.css" rel="stylesheet" />

<link href="~/Content/simple-image.css" rel="stylesheet" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdn.ckeditor.com/4.13.0/standard/ckeditor.js"></script>
<link href="http://localhost:58489/Content/bootstrap.min.css" rel="stylesheet" />
@*<link href="~/theme/css/style.css" rel="stylesheet" />*@
<style>
    .drop-placeholder {
        background-color: #f1783c;
        height: 3.5em;
        padding-top: 12px;
        padding-bottom: 12px;
        line-height: 1.2em;
    }

    #sortable {
        list-style-type: none;
        margin: 0;
        padding: 0;
        width: 60%;
    }

        #sortable li {
            margin: 0 5px 5px 5px;
            padding: 5px;
            font-size: 1.2em;
            height: 1.5em;
        }

        html > body #sortable li {
            height: 1.5em;
            line-height: 1.2em;
        }

    .ui-sortable > li {
        background: #f1783c82 !important;
    }

    .ui-state-highlight {
        height: 1.5em;
        line-height: 1.2em;
    }
</style>
<link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
<script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
<link href="~/theme/css/style.css" rel="stylesheet" />
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>

<link href="~/theme/lib/file-uploader/css/jquery.fileupload.css" rel="stylesheet" />

<section class="wrapper site-min-height">
    <ol class="arrows">
        <li>
            <i class="fa fa-desktop"></i>
            @if (ViewContext.RouteData.Values["controller"].ToString() != "Home")
            {
                @Html.ActionLink(ViewContext.RouteData.Values["controller"].ToString(), "Index", ViewContext.RouteData.Values["controller"].ToString())
            }
            <i class="fa fa-angle-right"></i>
        </li>
        <li>

            @if (ViewContext.RouteData.Values["action"].ToString() != "Index")
            {
                @Html.ActionLink("Edit Blog", ViewContext.RouteData.Values["action"].ToString(), ViewContext.RouteData.Values["controller"].ToString())
            }
        </li>
    </ol>

    <h3> Blog Modify</h3>
    <hr>
    <div id="faq" role="tablist" aria-multiselectable="true">
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="questionOne">
                <h5 class="panel-title">
                    <a data-toggle="" data-parent="#faq" aria-expanded="false" aria-controls="answerOne">
                        Edit Blog
                    </a>
                </h5>
            </div>
            <div id="answerOne" class="" role="tabpanel" aria-labelledby="questionOne">
                <div class="panel-body">
                    @if (Model != null)
                    {

                    }
                    <form class="form-horizontal style-form" method="get">
                        <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">Blog Title</label>
                            <div class="col-sm-10">
                                <input type="hidden" id="BlogID_hidden" value='@Model.bId' />
                                <input id="txt_blogtitle" maxlength="50" type="text" value='@Model.bTitle' class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">Blog Title Image</label>
                            <div class="col-sm-10">
                                <input type="file" class="form-control" id="upload_file_Title" name="upload_file[]" onchange="preview_TitleImg();">
                                <div id="ImageUploadTitle" style="width:412px;margin-top:15px;height:250px;">
                                    @if (Model.bImage != "" && Model.bImage != null)
                                    {
                                        <img class='example4 img-responsive' style="width:412px;margin-top:15px;height:250px;" src=~/ImageStorage/Blog/@Model.bImage alt=''>
                                    }
                                </div>

                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">Active</label>
                            <div class="col-sm-10">
                                @if (Model.bStatus = true)
                                {
                                    <input type="checkbox" checked="checked" id="check_active" data-toggle="toggle">
                                }
                                else
                                {
                                    <input type="checkbox" id="check_active" data-toggle="toggle">
                                }




                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 col-sm-2 control-label">Description</label>
                            <div class="col-sm-10">
                                <textarea id="FullDescription" name="FullDescription" value=@Html.Raw(@Model.bDescription)>
                                </textarea>

                            </div>
                        </div>

                        <div class="col-md-12">

                            <div class="">&nbsp;<button type="button" onclick="SaveBlogTitle(@Model.bId)" class="btn btn-theme">Submit</button> </div>

                        </div>

                    </form>
                </div>
            </div>
        </div>





    </div>


</section>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="~/theme/ckEditor/ckeditor/ckeditor.js"></script>
<script src="~/Scripts/CommonFunction.js"></script>
<link href="~/Content/Site.css" rel="stylesheet" />
<script src="~/theme/lib/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="~/theme/lib/bootstrap-inputmask/bootstrap-inputmask.min.js"></script>
<script src="~/theme/lib/bootstrap-inputmask/bootstrap-inputmask.min.js"></script>
<script src="~/theme/lib/bootstrap-daterangepicker/daterangepicker.js"></script>
<script src="~/theme/lib/bootstrap-daterangepicker/date.js"></script>

<script>
   CKEDITOR.replace("FullDescription", {
        filebrowserImageBrowseUrl: '/Admin/blog/uploadPartial',
        filebrowserImageUploadUrl: '/Admin/blog/uploadnow',
    });
    function updateValue(id, value) {
        debugger;
        var jqueryObjectByClass = $(".cke_dialog_ui_input_text")[1];
        jqueryObjectByClass.value = value;
    }


    $("#sortable4").sortable({
        placeholder: 'drop-placeholder'
    });
    // $("#panel2").hide();
    var All_file = new FormData();
    function AddContentTab() {

        $("#BlogDetailTab").show();
        $("#BlogTitleTab").hide();
        $("#AddType").hide();

    }
    //$(function () {
    //    $("#sortable").sortable({
    //        placeholder: "ui-state-highlight"
    //    });
    //    $("#sortable").disableSelection();
    //});
    function ImageUploadCancel() {


        $("#ImageUpload").hide();
        $("#Div_Sort").show();
        $("#ContentDiv").hide();
        $("#AddType").show();
    }
    function ContantCancel() {
        $("#ImageUpload").hide();
        $("#Div_Sort").show();
        $("#ContentDiv").hide();
        $("#AddType").show();


    }

    function AddContent() {
        $("#ImageUpload").hide();
        $("#Div_Sort").hide();
        $("#ContentDiv").show();
        $("#AddType").hide();

    }
    function removeItem(BDID)
    {  debugger;
        if(BDID!=null)
        {


            swal({
                title: "Are you sure?",
                text: "Once deleted, you will not be able to recover!",
                icon: "warning",
                buttons: true,
                dangerMode: true,
            })
        .then((willDelete) => {
            if (willDelete) {

                $.ajax({
                    type: "POST",
                    async: false,

                    dataType: 'json',

                    url: '@Url.Action("BlogD_RemoveItem", "Blog", new { area = "Admin"})',
                    data: {bdId:BDID},
                    success: function (data) {
                        if (data.status == true) {
                            swal("Delete successfully", {
                                icon: "success",
                            });
                            location.reload(true);

                        }
                    }

                });

            } else {

            }
        });

        }


    }

//    function DBUpdate()
//    {
//        console.log(document.getElementById("sortable4").getElementsByClassName("list-group-item").length);
//        //alert(document.getElementById("sortable").getElementsByClassName("ui-state-default").length);


//        var cusid_ele = document.getElementById("sortable4").getElementsByClassName("list-group-item");
//        for (var i = 0; i < cusid_ele.length; ++i) {


//            var item = cusid_ele[i];
//            console.log(item);
          
//            var orderID=i+1;
//            $.ajax({
//                type: "POST",
//                async: false,
//                dataType: 'json',
//                url: '@Url.Action("BlogDetailUpdate", "Blog", new { area = "Admin"})',
//                data: {BDid:item.id,Order:orderID },
//                success: function (data) {
//                    if (data.status == true) {
                      
                       
                     

//                    }
//                }

//            });
//        }
//        location.reload(true);
//        swal("Success!", "Blog Detail Updated!", "success");

//}
    function AddImage() {
       



            $("#ContentDiv").hide();
            $("#ImageUpload").show();
            $("#Div_Sort").hide();
            $("#AddType").hide();


        
    }
    function BlogImageUpload(BDID) {


        var BID=$("#BlogID_hidden").val();
        if( BID==null)
        {
            alert("Blog Title not found ");
            return ;

        }
        var files = $("#upload_file").get(0).files;
        // document.getElementById("upload_file").files;
        var fileData = new FormData();

        for (var i = 0; i < files.length; i++) {
            fileData.append("fileInput", files[i]);
        }
        fileData.append("bd_id", BDID);
        fileData.append("bd_BlogId", BID);


        //var files = $("#upload_file").get(0).files;
        //var data1 = new FormData();
        //data1.append("upload_file", files);
        debugger;

        $.ajax({
            type: "POST",
            async: false,

            dataType: 'json',
            contentType: false,
            processData: false,
            url: '@Url.Action("BlogDetailImagesSave", "Blog", new { area = "Admin"})',
            data: fileData,
            success: function (data) {
                if (data.status == true) {
                    alert("save successfully.");
                    location.reload(true);
                    $("#panel2").show();
                    $("#questionOne").hide();

                }
            }

        });




        All_file = null;
        document.getElementById('image_preview').innerHTML = '';
        alert("Uploaded Successfully.");
        $("#ContentDiv").hide();
        $("#Div_Sort").show();
        $("#ImageUpload").hide();
        $("#AddType").show();
    }


    function preview_TitleImg() {
        var total_file = document.getElementById("upload_file_Title").files.length;
        document.getElementById('ImageUploadTitle').innerHTML = '';
        $('#ImageUploadTitle').append("<img class='example4 img-responsive' style='width:412px;margin-top:15px;height:250px;' src= '" + URL.createObjectURL(event.target.files[0]) + "' alt=''>");
        $('#ImageUploadTitle').show();


    }
    function preview_image() {
        All_file = null;
        document.getElementById('image_preview').innerHTML = '';

        var total_file = document.getElementById("upload_file").files.length;
        var total_file_val = $("#upload_file").get(0).files;
        All_file = All_file + total_file_val;


        for (var i = 0; i < total_file; i++) {


            $('#image_preview').append("<div class='col-lg-3 col-md-3 col-sm-3 col-xs-12 desc mb_3'> " +
                                                    "<div class='project-wrapper'> " +
                                                        "<div class='project'> " +
                                                            "<div class='photo-wrapper'> " +
                                                                "<div class='photo'>" +
                                                                    "<a >" +
                                                                        "<img class='example4 img-responsive' src= '" + URL.createObjectURL(event.target.files[i]) + "' alt=''>" +
                                                                    "</a>" +
                                                                "</div>" +
                                                                "<div class='overlay'></div>" +
                                                            "</div>" +
                                                        "</div>" +
                                                    "</div>");


            //  $('#image_preview').append("<img style='height:200px;width:150px'  src='" + URL.createObjectURL(event.target.files[i]) + "'>&nbsp;");
        }
    }

    function SubmitContent() {
       
        var CID=$("#BDID").val();
        if(CID=="")
        {
            CID=0;
        }
        var textval = CKEDITOR.instances.editor1.getData();
        debugger;
        var BID=$("#BlogID_hidden").val();
        if( BID==null)
        {
            alert("Blog Title not found ");
            return ;

        }
        if (textval == "") {
            alert("please enter text");
            return;
        }
        

        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",

            url: '@Url.Action("BlogDetailContentsave", "Blog", new { area = "Admin"})',
            data: { bdid: CID, bd_bid: BID, blogText: textval },
            success: function (data) {
                if (data.status == true) {
                    alert("successfully.");
                    location.reload(true);
                    $("#panel2").show();
                    $("#questionOne").hide();
                    $("#BDID").val("");

                }
            }

        });
    }

    //$("#check_active").change(function(){
    //    if($(this).prop("checked") == true){
    //        //run code
    //    }else{
    //        //run code
    //    }
    //});

    function SaveBlogTitle(BID) {
        debugger;
        try {

            var txt_blogtitle = (CheckValueNullOrNOT($('#txt_blogtitle').val()));
            if (!txt_blogtitle) {
                alert("Please enter blog title.");
                return;
            }

            var blogtitle = $("#txt_blogtitle").val();
            var blogstatus = "";
            debugger;

            if($('#check_active').prop('checked')){
                blogstatus = true
            }
            else {
                blogstatus = false
            }
           var desc = CKEDITOR.instances['FullDescription'].getData();
            var files = $("#upload_file_Title").get(0).files;
            var data1 = new FormData();
            data1.append("bId", BID);
            data1.append("bTitle", blogtitle);
            data1.append("bStatus", blogstatus);
            data1.append("upload_file_Title", files[0]);
            data1.append("upload_Title", '@Model.bImage');
            data1.append("bDecs", desc);

            $.ajax({
                type: "POST",
                async: false,
                dataType: 'json',
                contentType: false,
                processData: false,

                url: '@Url.Action("BlogTitlesave", "Blog", new { area = "admin"})',
                data: data1,
                success: function (data) {
                    if (data.status == true) {
                        alert("Blog update add successfully..");
                       var url = '@Url.Action("Index", "Blog", new { area = "admin"})';
                        window.location.href = url;
                    }
                }

            });
        } catch (e) {
            alert(e)
        }
    }

</script>
